package com.zcxk.util;


import javax.crypto.Cipher;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.IvParameterSpec;

import org.apache.commons.codec.binary.Base64;

import java.util.Date;


public class DESUtil {


    public static String encrypt(String message, String key) throws Exception {
        Cipher cipher = Cipher.getInstance( "DES/CBC/PKCS5Padding" );

        DESKeySpec desKeySpec = new DESKeySpec(key.getBytes( "UTF-8" ));

        SecretKeyFactory keyFactory = SecretKeyFactory.getInstance( "DES" );
        SecretKey secretKey = keyFactory.generateSecret(desKeySpec);
        IvParameterSpec iv = new IvParameterSpec(key.getBytes( "UTF-8" ));
        cipher.init(Cipher.ENCRYPT_MODE, secretKey, iv);

        return encodeBase64(cipher.doFinal(message.getBytes( "UTF-8" )));
    }

    public static String decrypt(String message, String key) throws Exception {

        byte [] bytesrc = decodeBase64(message); //convertHexString(msg);
        Cipher cipher = Cipher.getInstance( "DES/CBC/PKCS5Padding" );
        DESKeySpec desKeySpec = new DESKeySpec(key.getBytes( "UTF-8" ));
        SecretKeyFactory keyFactory = SecretKeyFactory.getInstance( "DES" );
        SecretKey secretKey = keyFactory.generateSecret(desKeySpec);
        IvParameterSpec iv = new IvParameterSpec(key.getBytes( "UTF-8" ));

        cipher.init(Cipher.DECRYPT_MODE, secretKey, iv);

        byte [] retByte = cipher.doFinal(bytesrc);
        return new String(retByte);
    }

    public static byte [] convertHexString(String ss) {
        byte digest[] = new byte [ss.length() / 2 ];
        for ( int i = 0 ; i < digest.length; i++) {
            String byteString = ss.substring( 2 * i, 2 * i + 2 );
            int byteValue = Integer.parseInt(byteString, 16 );
            digest[i] = ( byte ) byteValue;
        }

        return digest;
    }

    public static String toHexString( byte b[]) {
        StringBuffer hexString = new StringBuffer();
        for ( int i = 0 ; i < b.length; i++) {
            String plainText = Integer.toHexString( 0xff & b[i]);
            if (plainText.length() < 2 )
                plainText = "0" + plainText;
            hexString.append(plainText);
        }

        return hexString.toString();
    }

    /**
     * 数据验证:
     * 传过来的时间跟当前的时间进行比较
     * @param  date 加密的时间
     */
    public static boolean verifyTime(Long date, long effectiveTime) {
        try {
            // 获取当前时间
            long differ   = Long.parseLong(DatesUtil.formatDate(new Date(), "yyyyMMddHHmm")) - date;
            return !(differ > effectiveTime || differ < 0);
        } catch (Exception e) {
            return false;
        }
    }


    public static String encodeBase64( byte [] b) {
        return Base64.encodeBase64String(b);
    }

    public static byte [] decodeBase64(String base64String) {
        return Base64.decodeBase64(base64String);
    }

    public static void main(String[] args) {
        String  code = "788171";
        try {
            System.out.println(encrypt(code + "_1001_12345678_1617243720187", "12345678"));
            System.out.println(decrypt("nnwClDmIxmIJkx90eOCql6D511/ZXXbTNSsU5mY/iJuN/YTwnzojgA==", "12345678"));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}