package com.zcxk.evaluation.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zcxk.evaluation.dto.EvaluationDetailsDto;
import com.zcxk.evaluation.entity.EvaluationResultDetailsEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @ClassName EvaluationResultDetailsMapper
 * @Description: 考评结果详情
 * @Author lihui
 * @Date 2021/5/7
 * @Version V1.0
 **/
@Mapper
public interface EvaluationResultDetailsMapper extends BaseMapper<EvaluationResultDetailsEntity> {


    /***
     * 插入考评结果详情
     * @Author lihui
     * @Date 18:27 2021/5/17
     * @param entity : 保存数据参数
     * @return java.lang.Integer
     **/
    Integer insertEvaluationResultDetails(EvaluationResultDetailsEntity entity);

    /***
     * 查询考评结果详情ids
     * @Author lihui
     * @Date 18:27 2021/5/17
     * @param evaluationResultId : 结果id
     * @return java.util.List<java.lang.Integer>
     **/
    List<Integer> findResultDetailsIds(Integer evaluationResultId);

    /***
     * 修改分数
     * @Author lihui
     * @Date 18:28 2021/5/17
     * @param dto :  修改参数
     * @return int
     **/
    int updateEvaluateScore(EvaluationDetailsDto dto);
}
