package com.zcxk.evaluation.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @ClassName EvaluationResultDto
 * @Description: 考评结果入参
 * @Author lihui
 * @Date 2021/5/7
 * @Version V1.0
 **/
@Data
@ApiModel(value = "考评结果")
public class EvaluationResultDto extends  BasePageDto{

    @ApiModelProperty(value="用户名")
    private String userName;

    @ApiModelProperty(value="公司ID")
    private Integer companyOrgId;

    @ApiModelProperty(value="部门ID")
    private Integer deptOrgId;

    @ApiModelProperty(value="考评状态：0未考评 1已考评")
    private Integer state;

    @NotNull
    @ApiModelProperty(value="类型：周期(0月度 1季度 2年度)")
    private Integer cycle;

    @ApiModelProperty(value="年")
    private Integer year;

    @ApiModelProperty(value="月/季度")
    private Integer month;

    @NotNull
    @ApiModelProperty(value="1:考评，2:得分")
    private Integer sort;

    @ApiModelProperty(value="查找ID")
    private List<Integer> ids;
}
