package com.zcxk.evaluation.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import javax.validation.constraints.NotNull;

import com.zcxk.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * sc_evaluation_item_value
 * @author: WYY
 * @date 2021-05-08 09:27
 */
@Data
@TableName("sc_evaluation_item_value")
public class EvaluationItemValueEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;
    /** 考评项ID */
    @NotNull(message = "参数值不能为空")
    @ApiModelProperty(value = "名称")
    private Long evaluationItemId;

    @ApiModelProperty(value = "所属公司ID")
    @TableField(exist = false)
    private Integer companyOrgId;

    @ApiModelProperty(value = "所属部门ID")
    @TableField(exist = false)
    private Integer deptOrgId;

    /** 类型(0大于等于 2小于 1介于) */
    @ApiModelProperty(value = "类型(0大于等于 2小于 1介于)")
    private Long type;

    /** 分值 */
    @ApiModelProperty(value = "分值")
    private Double value;

    /** 分值1 */
    @ApiModelProperty(value = "分值1")
    private Double valueOne;

    /** 分值2 */
    @ApiModelProperty(value = "分值2")
    private Double valueTwo;
}
