package com.zcxk.evaluation.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @ClassName EvaluationResultVo
 * @Description: 考核结果出参
 * @Author lihui
 * @Date 2021/5/7
 * @Version V1.0
 **/
@Data
@ApiModel(value = "考核结果返回信息")
public class EvaluationResultTaskDetailsVo {

    @ApiModelProperty(value = "任务总数")
    private Integer resultId;

    @ApiModelProperty(value = "租户ID")
    private String tenantId;

    @ApiModelProperty(value = "公司ID")
    private Integer companyOrgId;

    @ApiModelProperty(value = "任务总数")
    private int totalCount;

    @ApiModelProperty(value = "已完成")
    private int completeCount;

    @ApiModelProperty(value = "待完成")
    private int noCompleteCount;

    @ApiModelProperty(value = "延期完成")
    private int delayCompleteCount;

    @ApiModelProperty(value = "完成率")
    private BigDecimal completionRate;

    @ApiModelProperty(value = "延期率")
    private BigDecimal delayRate;

    @ApiModelProperty(value = "绩效得分")
    private BigDecimal performanceScore;

    @ApiModelProperty(value = "绩效等级")
    private String evaluationGrade;

    @ApiModelProperty(value = "考评周期")
    private String cycle;

    @ApiModelProperty(value = "考评周期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date dateStart;

    @ApiModelProperty(value = "考评周期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date dateEnd;

    @JsonIgnore
    @ApiModelProperty(value = "考评年份")
    private String year;

    @JsonIgnore
    @ApiModelProperty(value = "考评月份")
    private String month;

    @ApiModelProperty(value = "考评项详情")
    List<EvaluationResultDetailsVo> detailsVoList;
}
