package com.zcxk.task.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.zcxk.common.Double2Serializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("任务情况")
public class TaskConditionDto implements Serializable {

    @ApiModelProperty(value = "任务总数")
    private Integer taskCount;

    @ApiModelProperty(value = "任务完成数")
    private Integer finishedCount;

    @ApiModelProperty(value = "任务完成率")
    @JsonSerialize(using = Double2Serializer.class)
    private Double taskFinishedRate;

    @ApiModelProperty(value = "任务总数环比")
    @JsonSerialize(using = Double2Serializer.class)
    private Double taskCountRateMOnM;

    @ApiModelProperty(value = "任务完成数环比")
    @JsonSerialize(using = Double2Serializer.class)
    private Double finishedCountRateMOnM;

    @ApiModelProperty(value = "任务完成率环比")
    @JsonSerialize(using = Double2Serializer.class)
    private Double taskFinishedRateMOnM;

    @ApiModelProperty(value = "任务总数同比")
    @JsonSerialize(using = Double2Serializer.class)
    private Double taskCountRateYOnY;

    @ApiModelProperty(value = "任务完成数同比")
    @JsonSerialize(using = Double2Serializer.class)
    private Double finishedCountRateYOnY;

    @ApiModelProperty(value = "任务完成率同比")
    @JsonSerialize(using = Double2Serializer.class)
    private Double taskFinishedRateYOnY;
}
