package com.zcxk.controller;

import com.zcxk.enums.MathematicalSymbolEnum;
import com.zcxk.model.AjaxMessage;
import com.zcxk.model.ResultStatus;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/***
 * 数学符号
 * @author lihui
 * @date 14:17 2021/6/2
 **/
@RestController
@RequestMapping("/mathematical/symbol")
@Api(tags = "数学符号")
@Slf4j
public class MathematicalSymbolController {

    @RequestMapping(value="list" , method = RequestMethod.GET)
    @ApiOperation(value = "查询符号")
    public AjaxMessage<List> list(@ApiParam(value = "类型", required = true) @RequestParam("type") int type) {
        return new AjaxMessage<>(ResultStatus.OK, MathematicalSymbolEnum.getMathematicalSymbolByType(type));
    }
}
