package com.zcxk.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 地图设置(sms_map_setting)实体类
 *
 * @author yjy
 * @since 2020-12-4
 */
@Data
@ApiModel
@TableName("sms_map_setting")
public class MapSetting implements Serializable {
    private static final long serialVersionUID = 460807634914426955L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(type= IdType.AUTO)
    private Integer id;
    /**
     * 租户标识
     */
    @ApiModelProperty(value = "租户标识")
    private String tenantId;
    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号")
    private Integer userId;
    /**
     * 场景类型名称
     */
    @ApiModelProperty(value = "场景类型名称")
    private String sceneTypeName;
    /**
     * 中心点经度
     */
    @ApiModelProperty(value = "中心点经度")
    private BigDecimal pointX;
    /**
     * 中心点纬度
     */
    @ApiModelProperty(value = "中心点纬度")
    private BigDecimal pointY;
    /**
     * 地图层级
     */
    @ApiModelProperty(value = "地图层级")
    private Integer mapLevel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 数据删除标识
     */
    @ApiModelProperty(value = "数据删除标识")
    @TableLogic
    private Integer status;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date dateCreate;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date dateUpdate;
}