package com.zcxk.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

/**
 * @ClassName SsoConfig
 * @Description: 单点登录相关配置
 * @Author lihui
 * @Date 2021/4/9
 * @Version V1.0
 **/
@Data
@Configuration
@Component
public class SsoConfig {

    // 根据账户获取密码
    @Value("${sso.xieding.get.pwd.url}")
    private String pwdUrl;

    // 绑定单点登陆用户
    @Value("${sso.xieding.bind.single.url}")
    private String bindSingleUrl;

    // 获取token
    @Value("${sso.xieding.get.token.url}")
    private String tokenUrl;

    @Value("${sso.xieding.login.url}")
    private String loginUrl;
}
