package com.zcxk.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 数据字典(Dict)实体类
 *
 * @author yjy
 * @since 2020-10-26
 */
@Data
@ApiModel
public class Dict implements Serializable {
    private static final long serialVersionUID = 269554608076349144L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Integer id;
    /**
     * 字典名称
     */
    @ApiModelProperty(value = "字典名称")
    private String dictName;
    /**
     * 字典编码
     */
    @ApiModelProperty(value = "字典编码")
    private String dictCode;
    /**
     * 字典值
     */
    @ApiModelProperty(value = "字典值")
    private String dictValue;
    /**
     * 父配置ID
     */
    @ApiModelProperty(value = "父配置ID")
    private Integer parentDictId;
    /**
     * 父配置编码
     */
    @ApiModelProperty(value = "父配置编码")
    private String parentDictCode;
   /**
    * 备注
    */
   @ApiModelProperty(value = "备注")
   private String remark;
    /**
     * 数据删除标识
     */
    @ApiModelProperty(value = "数据删除标识")
    private Integer status;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date dateCreate;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
    * 更新时间
    */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date dateUpdate;
}