package com.zcxk.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * uims_ver_manage
 * @author: yjy
 * @date 2021-5-13
 */
@Data
@TableName("uims_ver_manage")
@NoArgsConstructor
public class VerManageEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty(value = "主键")
    @TableId(type=IdType.AUTO)
    private Long id;

    /** 版本号 */
    @ApiModelProperty(value = "版本号")
    private String verId;

    /** App URL */
    @ApiModelProperty(value = "App URL")
    private String verUrl;

    /** 是否强制升级 */
    @ApiModelProperty(value = "是否强制升级(0不强制、1强制)")
    private Integer isForcedUpgrade;

    /** 备注 */
    @ApiModelProperty(value = "备注")
    private String remark;

    /** 创建者 */
    @ApiModelProperty(value = "创建者")
    private String createBy;

    /** 创建者 */
    @ApiModelProperty(value = "创建者")
    private String createByName;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date dateCreate;

    /** 更新者 */
    @ApiModelProperty(value = "更新者")
    private String updateBy;

    /** 更新者 */
    @ApiModelProperty(value = "更新者")
    private String updateByName;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date dateUpdate;

    /** 手机系统 */
    @ApiModelProperty(value = "手机系统")
    private String mobileOS;

    /** 当前版本 */
    @ApiModelProperty(value = "当前版本")
    private String curAppVer;

    /** 产品类型 */
    @ApiModelProperty(value = "产品类型")
    private String productType;

    /** 产品类型 */
    @ApiModelProperty(value = "产品类型名称")
    private String productTypeName;

    /** 强制升级版本 */
    @ApiModelProperty(value = "强制升级版本")
    private String forcedUpgradeVer;
    
    /** 下载地址 */
    @ApiModelProperty(value = "下载地址")
    private String download;

    /** 是否最新版本 */
    @ApiModelProperty(value = "是否最新版本")
    private Integer isNewestVer;

    /** 状态 */
    @ApiModelProperty(value = "状态")
    private Integer status;
}
