package com.zcxk.charge.api.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @description
 * @author  wangli
 * @data 2020-11-17 21:17
 */
@Data
@Api("实时报警")
public class AlarmDetailsRealTimeDto implements Serializable {

    private static final long serialVersionUID = -875384438390073815L;

    @ExcelIgnore
    @ApiModelProperty(value = "主键id")
    private Integer id;
    @ApiModelProperty("所属场景")
    @ExcelProperty(value = "所属场景",index = 0)
    private String sceneName;
    @ApiModelProperty("设备名称")
    @ExcelProperty(value = "设备名称",index = 1)
    private String deviceName;
    @ApiModelProperty("设备类型")
    @ExcelProperty(value = "设备类型",index = 2)
    private String deviceType;
    @ApiModelProperty("报警类型列表值")
    @ExcelProperty(value = "报警类型",index = 3)
    private String alarmType;
    @ApiModelProperty(value ="报警参数")
    @ExcelProperty(value = "报警参数",index = 4)
    private String attributeName;
    @ApiModelProperty(value = "当前数值")
    @ExcelProperty(value = "当前数值",index = 5)
    private String alarmValue;
    @ApiModelProperty(value = "报警详情")
    @ExcelProperty(value = "报警详情",index = 6)
    private String alarmContent;
    @ApiModelProperty("地址")
    @ExcelProperty(value = "地址",index =7)
    private String address;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @ApiModelProperty(value = "报警开始时间",example = "2020-12-12 12:12:12")
    @ExcelProperty(value = "开始时间",index =8)
    private Date alarmStartTime;

    @ExcelIgnore
    @ApiModelProperty("经度")
    private BigDecimal pointX;
    @ExcelIgnore
    @ApiModelProperty("维度")
    private BigDecimal pointY;
    @ExcelIgnore
    @ApiModelProperty(value = "报警状态")
    private Integer state;
    @ExcelIgnore
    @ApiModelProperty(value = "处理状态")
    private Integer opState;

}
