package com.zcxk.charge.api.dto.generalview;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.zcxk.core.utils.jsonSerializer.BigDecimalJsonSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @description
 * @author  wangli
 * @data 2021/1/6 13:47
 */
@Data
@Api("水厂压力级别")
public class SceneWaterPressure implements Serializable {

    private static final long serialVersionUID = -2156183545580875355L;

    @ApiModelProperty("一级压力数量，<0.15")
    private Integer pressureLevel1 = 0;
    @ApiModelProperty("一级压力数量，0.15<=0.30")
    private Integer pressureLevel2 = 0;
    @ApiModelProperty("一级压力数量，0.30<=0.40")
    private Integer pressureLevel3 = 0;
    @ApiModelProperty("一级压力数量，0.40<=0.50")
    private Integer pressureLevel4 = 0;
    @ApiModelProperty("一级压力数量，>0.50")
    private Integer pressureLevel5 = 0;

    @ApiModelProperty("各级压力数量")
    private List<Integer> pressureLevels;
    @ApiModelProperty("最小压力场景名称")
    private String minPressureSceneName;
    @ApiModelProperty("最小压力值")
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal minPressureValue = BigDecimal.ZERO;
    @ApiModelProperty("最大压力场景名称")
    private String maxPressureSceneName;
    @ApiModelProperty("最大压力值")
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal maxPressureValue = BigDecimal.ZERO;
    @ApiModelProperty("平均压力值")
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal avgPressureValue = BigDecimal.ZERO;

}
