package com.zcxk.charge.api.dto.query;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author Andy
 * @version V1.0
 * @description: TODO
 * @date 2021/8/16
 **/
@Data
public class MonitorDataCompareDto {

    @ApiModelProperty(value = "场景ids")
    @NotNull
    private List<Long> sceneIds;

    @ApiModelProperty(value = "时间 日期，格式：2020-12-12")
    private String reportDate;

    @NotNull
    @ApiModelProperty(value = "类型,1年2月3日4自定义")
    private  Integer reportType;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "场景类型：1水源 2水厂 3泵站 0其他")
    private Integer sceneType;


    public String getStartTime(){
        return StringUtils.isNotEmpty(startTime) ? startTime + " 00:00:00" : startTime;
    }

    public String getEndTime(){
        return StringUtils.isNotEmpty(endTime) ? endTime + " 23:59:59" : endTime;
    }

}
