package com.zcxk.charge.api.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.zcxk.core.utils.converter.Double3Serializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * @author  andy
 */
@Data
@ApiModel(value = "子公司信息展示")
public class ComdisplayInfoVo {

    @ApiModelProperty(value = "所属公司")
    private Integer companyOrgId;

    @ApiModelProperty("公司名称")
    private String companyOrgName;

    @ApiModelProperty(value = "左坐标")
    private Double pointLeft;

    @ApiModelProperty(value = "上坐标")
    private Double pointTop;

    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty("取水量")
    private Double intakeWaterUsage;

    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty("制水量")
    private Double yieldWaterUsage;

    @ApiModelProperty(value = "售水量")
    private Double waterUsage;

    @ApiModelProperty(value = "产销差")
    private Double waterFeeRecoveryRate;

    @ApiModelProperty(value = "总户数")
    private Integer userMeterCount;

    @ApiModelProperty(value = "抄表到户率")
    private Double meterReadingArrivalRate;

    @ApiModelProperty(value = "应收总金额")
    private Double receivableTotalAmount;

    @ApiModelProperty(value = "实收总金额")
    private Double receivedTotalAmount;


}
