package com.zcxk.charge.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zcxk.charge.api.vo.SceneIdVo;
import com.zcxk.charge.core.entity.DeviceSceneEntity;
import org.apache.ibatis.annotations.Mapper;

import java.io.Serializable;
import java.util.List;

/**
 *
 * sms_device_sceneDAO接口
 * @author: WYY
 * @date 2020-12-23 09:57
 */
@Mapper
public interface DeviceSceneMapper extends BaseMapper<DeviceSceneEntity> {

     /**
     * 查询单个
     * @author Andy
     * @date 18:51 2021/8/17
     * @param id:
     * @return com.zcxk.charge.core.entity.DeviceSceneEntity
     **/
     DeviceSceneEntity findDeviceSceneById(Serializable id);

     /**
     * 查询集合
     * @author Andy
     * @date 18:51 2021/8/17
     * @param deviceSceneEntity:
     * @return java.util.List<com.zcxk.charge.core.entity.DeviceSceneEntity>
     **/
     List<DeviceSceneEntity> findList(DeviceSceneEntity deviceSceneEntity);

     /**
     * 根据一二级场景名字查找设备
     * @author Andy
     * @date 18:51 2021/8/17
     * @param firstSceneTypeName:
     * @param secondSceneTypeName:
     * @param deviceId:
     * @return com.zcxk.charge.api.vo.SceneIdVo
     **/
     SceneIdVo findSceneId(String firstSceneTypeName, String secondSceneTypeName, Long deviceId);

}
