package com.zcxk.charge.core.dao.alarm;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.charge.api.dto.alarm.DataAlarmDto;
import com.zcxk.charge.api.dto.alarm.DataAlarmQueryDto;
import com.zcxk.charge.api.vo.DataAlarmManageInfoVo;
import com.zcxk.charge.core.entity.DataAlarmManageEntity;
import com.zcxk.charge.api.vo.DataAlarmManageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 数据报警管理mapper
 *
 * @author lihui
 * @version V1.0
 * @date 2021/5/31
 **/
@Mapper
public interface DataAlarmManageMapper {

    /***
     * 保存报警管理
     * @author lihui
     * @date 14:48 2021/5/31
     * @param entity : 数据entity
     * @return void
     **/
    void saveDataAlarmManage(DataAlarmManageEntity entity);

    /***
     * 查找报警管理
     * @author lihui
     * @date 15:11 2021/5/31
     * @param aramId :
     * @return com.zcxk.E.DataAlarmManageEntity
     **/
    DataAlarmManageInfoVo findAlarmManage(Long aramId);

    /***
     * 分页查询
     * @author lihui
     * @date 15:01 2021/5/31
     * @param page : 页码
     * @param dto :  参数
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.zcxk.vo.DataAlarmManageVo>
     **/
    Page<DataAlarmManageVo> findPage(@Param("page") IPage<DataAlarmDto> page, @Param("dto") DataAlarmQueryDto dto);

    /***
     * 修改数据
     * @author lihui
     * @date 15:14 2021/5/31
     * @param dto : 数据
     * @return void
     **/
    void updateDataAlarmManage(DataAlarmManageEntity dto);

    /***
     * 删除数据
     * @author lihui
     * @date 15:19 2021/5/31
     * @param alarmIds :
     * @return void
     **/
    void delDataAlarmManage(@Param("alarmIds") List<Long> alarmIds);

    /***
     * 查询设置的数据报警
     * @author lihui
     * @date 11:36 2021/6/3
     * @param type :
     * @return java.util.List<com.zcxk.vo.DataAlarmManageVo>
     **/
    List<DataAlarmManageVo> listByType(int type);

}
