package com.zcxk.charge.core.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * sms_device_attribute
 * @author: WYY
 * @date 2020-11-20 20:29
 */
@Data
@TableName("sms_device_attribute")
public class DeviceAttributeEntity  implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 属性名称
     */
    private String name;

    /**
     * 属性标识符
     */
    private String identifier;

    /**
     * 属性类型
     */
    private String dataType;

    /**
     * 属性描述
     */
    private String description;

    /**
     * 属性单位
     */
    private String unit;

    /**
     * 设备型号
     */
    private Long deviceTypeId;

    /**
     * 数据删除标记
     */
    @TableLogic
    @ApiModelProperty(value = "数据删除标记")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间", example = "2020-12-12 12:12:12")
    private Date dateCreate;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    private String updateBy;
    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间", example = "2020-12-12 12:12:12")
    private Date dateUpdate;

    @ApiModelProperty(value = "设备属性规则")
    @TableField(exist = false)
    private List<DeviceAttributeSpecsEntity> specs;
}
