package com.zcxk.charge.web.controller;

import com.zcxk.charge.api.enums.MathematicalSymbolEnum;
import com.zcxk.core.common.pojo.AjaxMessage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/***
 * 数学符号
 * @author lihui
 * @date 14:17 2021/6/2
 **/
@RestController
@RequestMapping("/mathematical/symbol")
@Api(tags = "数学符号")
@Slf4j
public class MathematicalSymbolController {

    @RequestMapping(value="list" , method = RequestMethod.GET)
    @ApiOperation(value = "查询符号")
    public AjaxMessage<List> list(@ApiParam(value = "类型", required = true) @RequestParam("type") int type) {
        return AjaxMessage.success(MathematicalSymbolEnum.getMathematicalSymbolByType(type));
    }
}
