package com.zcxk.charge.web.service;


import com.zcxk.charge.api.dto.CompanySceneInfoDto;
import com.zcxk.charge.api.dto.generalview.WaterSupplyChart;
import com.zcxk.charge.api.vo.DeviceEntityVo;
import com.zcxk.charge.api.vo.SceneEntityVo;

import java.util.List;

/**
 * @description
 * @author  wangli
 * @data 2021/3/19 11:28
 */
public interface AppReportMonitorService {

    /**
    * 根据场景类型和公司id查询场景
    * @author Andy
    * @date 17:55 2021/8/17
    * @param sceneTypeName:
    * @param companyOrgId:
    * @return java.util.List<com.zcxk.charge.api.vo.SceneEntityVo>
    **/
    List<SceneEntityVo> getSceneByCompany(String sceneTypeName, Integer companyOrgId);

    /**
    * 获取单个
    * @author Andy
    * @date 17:55 2021/8/17
    * @param sceneTypeName:
    * @param condition:
    * @return com.zcxk.charge.api.dto.CompanySceneInfoDto
    **/
    CompanySceneInfoDto getSceneByCompanyBySearch(String sceneTypeName, String condition);

    /**
    * 获取集合
    * @author Andy
    * @date 17:56 2021/8/17
    * @param typeName:
    * @param companyOrgId:
    * @return java.util.List<com.zcxk.charge.api.vo.DeviceEntityVo>
    **/
    List<DeviceEntityVo> getDeviceByCompany(String typeName, Integer companyOrgId);

    /**
    * 根据类型名字
    * @author Andy
    * @date 17:56 2021/8/17
    * @param typeName:
    * @param condition:
    * @return com.zcxk.charge.api.dto.CompanySceneInfoDto
    **/
    CompanySceneInfoDto getDeviceByCompanyBySearch(String typeName, String condition);

    /**
    * 场景ID获取
    * @author Andy
    * @date 17:56 2021/8/17
    * @param sceneId:
    * @return java.util.List<com.zcxk.charge.api.dto.generalview.WaterSupplyChart>
    **/
    List<WaterSupplyChart> waterEnergyConsumption(Integer sceneId);

    /**
    * 场景ID获取
    * @author Andy
    * @date 17:56 2021/8/17
    * @param sceneId:
    * @return java.util.List<com.zcxk.charge.api.dto.generalview.WaterSupplyChart>
    **/
    List<WaterSupplyChart> getWaterLevelForWaterSource(Integer sceneId);




}
