package com.zcxk.core.common.pojo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author Andy
 * @description: 带数据汇总返回
 * @date 2021/7/16
 * @version V1.0
 **/
@ApiModel(value = "带数据汇总返回")
@Data
public class TotalResult<T> {

    @ApiModelProperty(value = "汇总", name = "totalSize")
    private BigDecimal total;

    @ApiModelProperty(value = "数据", name = "rows")
    private List<T> rows;

    public TotalResult(List<T> rows, BigDecimal total) {
        this.rows = rows;
        this.total = total;
    }

}
