package com.zcxk.rmcp.api.dto.install;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class InstallPlanDataDto {

    @JsonIgnore
    @ApiModelProperty(value="id",hidden = true)
    private Long id;

    @JsonIgnore
    @ApiModelProperty(value="父类id",hidden = true)
    private Long parentId;

    @ApiModelProperty(value="名称")
    private String name;

    @ApiModelProperty(value="设备id")
    private Long deviceId;

    @ApiModelProperty(value = "是否已安装，0否1是")
    private Integer isInstalled = 0;

    @ApiModelProperty(value="设备状态 1、正常 2、离线 3、报警 4、未启用")
    private Integer deviceStatus;

    @ApiModelProperty(value="是否验收，0否1是")
    private Integer isAccepted;

    @ApiModelProperty(value = "已安总数")
    private Integer installedNumber = 0;

    @ApiModelProperty(value = "总数")
    private Integer totalNumber = 0;


    @ApiModelProperty(value = "类型", position = 4,example = "1")
    private Integer type;


    @ApiModelProperty(value = "子类", position = 5)
    private List<InstallPlanDataDto> children;
}
