package com.zcxk.rmcp.api.dto.install;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author linqingwei
 * @date 2021-07-21 10:16
 */
@Data
public class InstallPlanInputDto {



    @ApiModelProperty(value="计划名称")
    private String planName;

    @NotNull(message = "communityId cannot be null")
    @ApiModelProperty(value="小区")
    private Integer communityId;

    @NotNull(message = "companyOrgId cannot be null")
    @ApiModelProperty(value="公司")
    private Integer companyOrgId;

    @ApiModelProperty(value="部门")
    private Integer deptOrgId;

    @NotNull(message = "productId cannot be null")
    @ApiModelProperty(value="产品")
    private Integer productId;

    @ApiModelProperty(value="施工单位")
    private String unit;

    @ApiModelProperty(value="施工负责人")
    private String principal;

    @ApiModelProperty(value="联系电话")
    private String phone;

    @ApiModelProperty(value="是否启用单元 0：否 1：是")
    private Integer enableUnit;

    @ApiModelProperty(value="备注")
    private String remark;

    @ApiModelProperty(value="地址")
    private String adrress;

    @ApiModelProperty(value="经度")
    private BigDecimal lng;

    @ApiModelProperty(value="维度")
    private BigDecimal lat;

    @ApiModelProperty(value="安装数据", position = 103)
    List<InstallPlanDataDto> installPlanDataList;

}
