package com.zcxk.rmcp.api.vo;

import com.zcxk.core.utils.ZoniotStringUtils;
import com.zcxk.rmcp.api.enums.DeviceStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author Andy
 * @version V1.0
 * @description: 设备信息不包含小区
 * @date 2021/7/22
 **/
@Data
public class DeviceNoCellVo {

    @ApiModelProperty(value="设备ID")
    private Long deviceId;

    @ApiModelProperty(value="分类名字")
    private String categoryName;

    @ApiModelProperty(value="分类Id")
    private Integer categoryId;

    @ApiModelProperty(value="水表电子号")
    private String meterNo;

    @ApiModelProperty(value="设备地址")
    private String address;

    @ApiModelProperty(value="经度")
    private BigDecimal lng;

    @ApiModelProperty(value="维度")
    private BigDecimal lat;

    @ApiModelProperty(value="读数")
    private String readData;

    @ApiModelProperty(value="状态")
    private String status;

    public String getStatus(){
        return ZoniotStringUtils.isNotEmpty(status) ? DeviceStatusEnum.getMessage(status) : "";
    }

}
