package com.zcxk.rmcp.api.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author Andy
 * @version V1.0
 * @description: 抄表数据
 * @date 2021/7/26
 **/
@Data
public class ReadRateVo {

    @ApiModelProperty(value="小区名字")
    @ExcelProperty(value = {"小区名字"},index = 0)
    private String communityName;

    @ApiModelProperty(value="水表名字")
    @ExcelProperty(value = {"水表名字"},index = 1)
    private String categoryName;

    @ApiModelProperty(value="公司名字")
    @ExcelProperty(value = {"公司名字"},index = 2)
    private String companyOrgName;

    @ApiModelProperty(value="部门名字")
    @ExcelProperty(value = {"部门名字"},index = 3)
    private String deptOrgName;

    @ApiModelProperty(value="应抄数据")
    @ExcelProperty(value = {"应抄水表总数"},index = 4)
    private int readTimes;

    @ApiModelProperty(value="实抄数据")
    @ExcelProperty(value = {"抄收成功总数"},index = 5)
    private int realReadTimes;

    @ApiModelProperty(value="抄表率")
    @ExcelProperty(value = {"抄收成功率(%)"},index = 6)
    private BigDecimal readRate;

    @ApiModelProperty(value="未抄数据")
    @ExcelIgnore
    private int unReadTimes;

    @ApiModelProperty(value="抄表日期")
    @ExcelIgnore
    private String statDay;



}
