package com.zcxk.rmcp.core.entity;

import com.zcxk.core.mysql.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 
 * @author linqingwei
 * @date 2021-07-20 17:17
 */
@ApiModel(value="换表记录表")
@Data
public class MeterReplaceLog extends BaseDO {


    /**
    * 参考sc_device表id
    */
    @ApiModelProperty(value="设备id")
    private Long deviceId;

    /**
    * 更换方案，1 更换模块，2:更换整表
    */
    @ApiModelProperty(value="更换方案，1 更换模块，2:更换整表")
    private Integer replaceMethod;

    /**
    * 新产品类型
    */
    @ApiModelProperty(value="新产品类型/新设备型号")
    private Integer newProductId;

    /**
    * 旧产品类型
    */
    @ApiModelProperty(value="旧产品类型/旧设备型号")
    private Integer oldProductId;

    /**
    * 新表电子号
    */
    @ApiModelProperty(value="新表电子号")
    private String newMeterNo;

    /**
    * 旧表电子号
    */
    @ApiModelProperty(value="旧表电子号")
    private String oldMeterNo;

    /**
    * 新表起度
    */
    @ApiModelProperty(value="新表起度")
    private String newBeginDegree;

    /**
    * 旧表止度
    */
    @ApiModelProperty(value="旧表止度")
    private String oldEndDegree;

    /**
    * 新节点编号
    */
    @ApiModelProperty(value="新设备编号")
    private String newDeviceNo;

    /**
    * 旧节点编号
    */
    @ApiModelProperty(value="旧设备编号")
    private String oldDeviceNo;

    /**
    * 备注
    */
    @ApiModelProperty(value="备注")
    private String remark;


    /**
    * 更换人
    */
    @ApiModelProperty(value="更换人")
    private String replaceUsername;

    /**
    * 更换人手机号码
    */
    @ApiModelProperty(value="更换人手机号码")
    private String replaceUserPhone;

    /**
    * 同步状态
    */
    @ApiModelProperty(value="同步状态")
    private Integer syncStatus;


}