package com.bz.rmcp.dap.model;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

@ApiModel(value="设备数据")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DeviceOrigDataDTO implements Serializable {
    @ApiModelProperty(value="主键")
    private Long id;

    @ApiModelProperty(value="上报Agent")
    private String agentIdentifier;

    @ApiModelProperty(value="设备唯一标识")
    private String deviceNo;

    @ApiModelProperty(value="设备型号")
    private String mode;

    @ApiModelProperty(value="设备类型")
    private String type;

    @ApiModelProperty(value="设备厂商")
    private String manufacturer;

    @ApiModelProperty(value="原始数据格式")
    private String originalDataFormat ;

    @ApiModelProperty(value="原始数据")
    private String originalData;

    @ApiModelProperty(value="解析数据,Key为采集时间，Value为当前时间点的数据")
	private Map<Date, String> parsedData;

    @JSONField(format="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="上报数据时间")
    private Date eventTime;

    @JSONField(format="yyyy-MM-dd HH:mm:ss",serialize = false)
    @ApiModelProperty(value="接收数据时间")
    private Date receiveTime ;
}

