package com.zcxk.rmcp.web.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.oauth2.config.annotation.web.configuration.EnableResourceServer;
import org.springframework.security.oauth2.config.annotation.web.configuration.ResourceServerConfigurerAdapter;

/**
 * @author Andy
 * @version V1.0
 **/
@Configuration
@EnableResourceServer
public class ResourceServerConfig extends ResourceServerConfigurerAdapter {

    @Override
    public void configure(HttpSecurity http) throws Exception {
        http
            .csrf().disable()
            .requestMatchers().antMatchers("/**")
            .and()
            .authorizeRequests()
            .antMatchers("/swagger-ui.html","/webjars/**", "/swagger-resources/**",
                    "/file/**","/test/test","/import/downloadFailFile",
                   "/v2/**")
            .permitAll() //配置不需要身份认证的请求路径
            .anyRequest().authenticated() //其他所有访问路径都需要身份认证
            .and()
            .httpBasic();
    }
}
